Bug 67429 - kernel Oops: 0000 Bad EIP value. Unable to handle NULL pointer dereference in X process
kernel Oops: 0000 Bad EIP value. Unable to handle NULL pointer dereference i...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-24 20:43 EDT by Bryan Thale
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
System Info Output (490 bytes, text/plain)
2002-06-24 20:45 EDT, Bryan Thale
no flags Details
Extract of messages showing multiple crashes within several hours (9.07 KB, text/plain)
2002-06-24 20:47 EDT, Bryan Thale
no flags Details
XFree86 log (23.53 KB, text/plain)
2002-06-24 20:48 EDT, Bryan Thale
no flags Details
/var/log/dmesg (7.06 KB, text/plain)
2002-06-24 20:48 EDT, Bryan Thale
no flags Details

  None (edit)
Description Bryan Thale 2002-06-24 20:43:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020610

Description of problem:
The gdm crashes with gdm_slave_xioerror_handler reporting a Fatal X error in
response to a kernel Oops.  The kernel is reporting two classes of problem the
first is "Unable to handle NULL pointer dereference at virtual address 00000008"
and the second is "Unable to handle kernel paging request at virtual address
0000160d".

Version-Release number of selected component (if applicable):
Kernel: 2.4.18-5
XFree86: 4.2.0-8


How reproducible:
Always

Steps to Reproduce:
1. Log in and let the computer just sit.  Within a couple of hours gdm and/or
the kernel will crash.
2.
3.
	

Actual Results:  gdm will crash and be restarted, presenting the user with the
login screen or the kernel will panic and the entire machine will lock up with
the Caps Lock and Scroll Lock indicators on the keyboard flashing.

Expected Results:  Nothing, the machine should function indefinately without
rebooting or logging off the user.

Additional info:

Using kernel 2.4.18-5
XFree86 4.2.0-8
1.4 GHz Athlon
Gigabyte GA-7IXE4 Motherboard
Matrox Millennium G200 AGP w/8MB Video RAM
512MB RAM
20GB and 10GB IDE HD
IDE CDROM

See attached for supporting info.
Comment 1 Bryan Thale 2002-06-24 20:45:19 EDT
Created attachment 62444 [details]
System Info Output
Comment 2 Bryan Thale 2002-06-24 20:47:04 EDT
Created attachment 62445 [details]
Extract of messages showing multiple crashes within several hours
Comment 3 Bryan Thale 2002-06-24 20:48:07 EDT
Created attachment 62446 [details]
XFree86 log
Comment 4 Bryan Thale 2002-06-24 20:48:51 EDT
Created attachment 62447 [details]
/var/log/dmesg
Comment 5 Bugzilla owner 2004-09-30 11:39:41 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.